import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { UserArgsObjectSchema as UserArgsObjectSchema } from './UserArgs.schema'

const makeSchema = () => z.object({
  user: z.union([z.boolean(), z.lazy(() => UserArgsObjectSchema)]).optional()
}).strict();
export const OfficeContactIncludeObjectSchema: z.ZodType<Prisma.OfficeContactInclude> = makeSchema() as unknown as z.ZodType<Prisma.OfficeContactInclude>;
export const OfficeContactIncludeObjectZodSchema = makeSchema();
